using UnityEngine;
using UnityEngine.SceneManagement;

public class SceneLoader : MonoBehaviour
{
    public enum SceneType
    {
        Train,
        Play,
    }
    public void loadScene(SceneType sceneType)
    {
        switch (sceneType)
        {
            case SceneType.Train:
                SceneManager.LoadScene("Train");
                break;
            case SceneType.Play:
                SceneManager.LoadScene("Play");
                break;
            default:
                Debug.LogError("SceneLoader:loadScene: unknown scene type");
                break;
        }
    }
}
